org.apache.synapse.commons.evaluators.config

## Class AbstractEvaluatorSerializer

- java.lang.Object
- - org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

- All Implemented Interfaces:
    EvaluatorSerializer
  Direct Known Subclasses:
    AndSerializer, NotSerializer, OrSerializer, TextProcessingEvaluatorSerializer

      public abstract class AbstractEvaluatorSerializer
      extends java.lang.Object
      implements EvaluatorSerializer

  Provide common methods for `EvaluatorSerializer` implementations

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.axiom.om.OMFactory` | `fac`
    `protected org.apache.commons.logging.Log` | `log`
    `protected static org.apache.axiom.om.OMNamespace` | `nullNS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractEvaluatorSerializer()` A constructor that makes subclasses pick up the correct logger

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `serializeChild(org.apache.axiom.om.OMElement parenet, Evaluator child)`
    `protected void` | `serializeChildren(org.apache.axiom.om.OMElement parent, Evaluator[] childEvaluators)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.synapse.commons.evaluators.config.EvaluatorSerializer

      `serialize`

- - ### Field Detail

    - #### log

          protected org.apache.commons.logging.Log log

    - #### fac

          protected static final org.apache.axiom.om.OMFactory fac

    - #### nullNS

          protected static final org.apache.axiom.om.OMNamespace nullNS

  - ### Constructor Detail

    - #### AbstractEvaluatorSerializer

          protected AbstractEvaluatorSerializer()

      A constructor that makes subclasses pick up the correct logger

  - ### Method Detail

    - #### serializeChildren

          protected void serializeChildren(org.apache.axiom.om.OMElement parent,
                                           Evaluator[] childEvaluators)
                                    throws EvaluatorException

      Throws:
        `EvaluatorException`

    - #### serializeChild

          protected void serializeChild(org.apache.axiom.om.OMElement parenet,
                                        Evaluator child)
                                 throws EvaluatorException

      Throws:
        `EvaluatorException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.